Bug 185075 - Add special keys on Acer Ferrari laptops (patch)
Add special keys on Acer Ferrari laptops (patch)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-xkbdata (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-10 06:00 EST by Philippe Rigault
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-17 06:21:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for Acer ferrari special keys (3.05 KB, patch)
2006-03-10 06:00 EST, Philippe Rigault
no flags Details | Diff

  None (edit)
Description Philippe Rigault 2006-03-10 06:00:01 EST
Here is a patch to add the special keys on Acer Ferrari 4000 series laptops.   
 
Adapted from the excellent: 
http://gentoo-wiki.com/HARDWARE_Gentoo_Acer_Ferrari_4005WLMi_Manual 
 
Tested on xorg-x11-xkbdata-1.0.1-7   
  
Still in time for FC5 ?
Comment 1 Philippe Rigault 2006-03-10 06:00:01 EST
Created attachment 125940 [details]
patch for Acer ferrari special keys
Comment 2 Mike A. Harris 2006-03-10 19:35:59 EST
Please submit the patch to X.Org bugzilla at http://bugs.freedesktop.org
for consideration by the upstream maintainer of xkeyboard-config.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", and awaiting upstream
bug report URL for tracking.

Thanks in advance.
Comment 3 Philippe Rigault 2006-03-10 21:06:55 EST
https://bugs.freedesktop.org/show_bug.cgi?id=5259 
 
Patch has been submitted in Xorg on 2005-12-30 by the original author of 
aforementioned the Gentoo manual. 
 
Fedora should apply the patch to its RPMs until X.Org fixes this (it doesn't 
look like they are in a particular hurry). 
 
Thanks. 
 
Comment 4 Mike A. Harris 2006-03-17 06:19:17 EST
(In reply to comment #3)
> https://bugs.freedesktop.org/show_bug.cgi?id=5259 
>  
> Patch has been submitted in Xorg on 2005-12-30 by the original author of 
> aforementioned the Gentoo manual. 
>  
> Fedora should apply the patch to its RPMs until X.Org fixes this

Once it is committed to upstream CVS, we will consider adding it in a future
update.

> (it doesn't look like they are in a particular hurry).

Not surprising, as X.Org's xkbdata is officially unmaintaned, and probably
wont ever get bug fixes or additions made to it, as it has been replaced
by the xkeyboard-config project's xkbdata.  Fedora Core 5's xorg-x11-xkbdata
package contains xkeyboard-config 0.8, which is actively maintained upstream
by Sergey Udaltsov and others.




Comment 5 Mike A. Harris 2006-03-17 06:21:57 EST
I've reassigned the upstream bug to the proper component, and proper
bug owner.  The right people should now see the bug.

Setting status to "UPSTREAM", and tracking in upstream bugzilla.

Note You need to log in before you can comment on or make changes to this bug.